Package org.eclipse.jdt.launching

# Interface IRuntimeClasspathProvider

All Known Implementing Classes:
  `StandardClasspathProvider`, `StandardSourcePathProvider`

public interface IRuntimeClasspathProvider
A classpath provider computes an unresolved classpath for a launch configuration, and resolves classpath entries for a launch configuration. A classpath provider is defined as an extension of type `org.eclipse.jdt.launching.classpathProviders`.

A provider is registered with an identifier that can be referenced by a launch configuration. A classpath provider is consulted to compute a classpath or source lookup path when a launch configuration references a provider in one or both of the following attributes:

- `ATTR_CLASSPATH_PROVIDER`
- `ATTR_SOURCE_PATH_PROVIDER`

A provider extension is defined in `plugin.xml`. Following is an example definition of a runtime classpath provider extension.

     <extension point="org.eclipse.jdt.launching.classpathProviders">
       <classpathProvider>
          id="com.example.ExampleClasspathProvider"
          class="com.example.ExampleClasspathProviderImpl"
       </classpathProvider>
     </extension>

The attributes are specified as follows:

- `id` specifies a unique identifier for this extension. This identifier may be used to reference a provider on one of the launch configuration attributes mentioned above.
- `class` specifies the fully qualified name of the Java class that implements `IRuntimeClasspathProvider`.

Clients may implement this interface.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`IRuntimeClasspathEntry[]`
`computeUnresolvedClasspath(ILaunchConfiguration configuration)`
Computes and returns an unresolved classpath for the given launch configuration.
`IRuntimeClasspathEntry[]`
`resolveClasspath(IRuntimeClasspathEntry[] entries, ILaunchConfiguration configuration)`
Returns the resolved path corresponding to the given path, in the context of the given launch configuration.

## Method Details

### computeUnresolvedClasspath

IRuntimeClasspathEntry[] computeUnresolvedClasspath(ILaunchConfiguration configuration) throws CoreException
Computes and returns an unresolved classpath for the given launch configuration. Variable and container entries are not resolved.

Parameters:
  `configuration` - launch configuration
Returns:
  unresolved path
Throws:
  `CoreException` - if unable to compute a path

### resolveClasspath

IRuntimeClasspathEntry[] resolveClasspath(IRuntimeClasspathEntry[] entries, ILaunchConfiguration configuration) throws CoreException
Returns the resolved path corresponding to the given path, in the context of the given launch configuration. Variable and container entries are resolved. The returned (resolved) path need not have the same number of entries as the given (unresolved) path.

Parameters:
  `entries` - entries to resolve
  `configuration` - launch configuration context to resolve in
Returns:
  resolved path
Throws:
  `CoreException` - if unable to resolve a path